API Explorer 896 endpoints

Delete parcel_owner by id

DELETE /obp/dynamic-entity/banks/ogcr/parcel_owner/PARCEL_OWNER_ID

OBPv4.0.0-dynamicEntity_deleteparcel_owner_ogcr Roles: CanDeleteDynamicEntityRecord_parcel_owner(per bank) _Parcel_owner(ogcr)Dynamic-EntityDynamic

Delete parcel_owner by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel_owner"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "parcel_owner_id": "string",
  "parcel_id": "string",
  "legal_name": "string",
  "owner_type": "string",
  "country_id": "string",
  "supporting_document_id": "string"
}
Example success response
{
  "bank_id": "ogcr",
  "parcel_owner": {
    "parcel_owner_id": "string",
    "parcel_id": "string",
    "legal_name": "string",
    "owner_type": "string",
    "country_id": "string",
    "supporting_document_id": "string"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_deleteparcel_owner_ogcr Originally /banks/ogcr/parcel_owner/PARCEL_OWNER_ID